MessGEODocs
Get an API key

AI Bot Access & Render Checker

Shows which AI crawlers may reach the site and whether the page content is visible without running scripts.

Slugai-bot-render-checker
Cost3 credits per full run
Inputsurl
Scopetools:run

Example

curl -X POST https://api.messgeo.com/v1/tools/ai-bot-render-checker/runs \
  -H "Authorization: Bearer mgk_xxxxxxxxxx_your_secret" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: my-unique-key-001" \
  -d '{"url": "https://example.com/"}'

Main result fields

url, has_robots, blocked, critical_blocked, training_blocked, bots, render, words, verdict

The fields are listed in full in the API reference.